div {
    width: 100px;
    height: 100px;
    background-color: black;
    color: white;
    display: inline-block;
}

.three {
    float: right;
}

.two {
    position: absolute;
    right: 100px;
    margin-right: 15px;
}